NXBROWSE(1)

NAME
nxbrowse - browse a NeXus file

SYNOPSIS
nxbrowse [filename]

DESCRIPTION
nxbrowse asks for a filename is none is given on the command line. The file is opened and can be interactively explored using the commands described below.

OPTIONS
No command line options are supported.

COMMANDS
When the file is opened nxbrowse will print out its version number and the contents of the NXroot node of the NeXus file followed by its prompt: NX>
These case insensitive commands are recognised:

help
    Give out list of available commands. Synonym: info

exit
    Exit the program. Synonym: quit

dir List the contents of the current group. Synonym: ls

open groupName
    Open the NeXus group groupName. Same as: cd groupName

close
    Closes the NeXus group groupName, i.e. moves up one level in the hierarchy. Same as: cd ..

read dataItem [dimension indicies ...]
    Print the contents of the NeXus data item labelled dataItem. dimension indicies is an optional comma separated list of dimensions of the correct rank to specify one value.

dump dataItem fileName
    Write the contents of the NeXus data item labelled dataItem to a new file named fileName.

byteaschar
    Toggle treating (signed and unsigned) byte data as characters.

If your version of nxbrowse has been compiled with readline support you can use tab completion for commands, groups and data.

SEE ALSO
nxdir(1) http://www.nexusformat.org

AUTHOR
nxbrowse was originally written by Ray Osborn <ROsborn@anl.gov>

This manual page was written by Tobias Richter <Tobias.Richter@diamond.ac.uk> and may be used by others.